Bug 846500 - Encryption over Raid causes install failure
Encryption over Raid causes install failure
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
17
All Linux
unspecified Severity high
: ---
: ---
Assigned To: Anaconda Maintenance Team
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-07 21:11 EDT by J.H.
Modified: 2013-05-30 12:41 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-05-30 12:41:30 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description J.H. 2012-08-07 21:11:24 EDT
Description of problem:

Pretty simple:

1) Do a new install
2) Do a custom disk partitioning
3) Create a raid device, md0.  The underlying devices should *NOT* be encrypted
4) Set md0 to be formatted and encrpted
5) Hit 'next' and write changes to disk

After doing this the system will try for a couple of minutes then gets a giant anaconda installer failure.

Version-Release number of selected component (if applicable):


How reproducible:

All the time.

Steps to Reproduce:
1. see above.
2.
3.
  
Actual results:

Partition laytout in an unfinished state, in particular the raid array is pretty messed up.

Expected results:

An encrypted luks volume residing on the md device itself

(Not a software raid array across multiple luks devices)

Additional info:
Comment 1 Chris Lumens 2012-08-08 10:09:04 EDT
Please attach the complete error message you are receiving to this bug report.  Without that information, we can't really do anything to debug this.
Comment 2 Frederick Roeber 2012-09-30 13:32:29 EDT
This sounds like a dup of https://bugzilla.redhat.com/show_bug.cgi?id=847547 .  Does the information in that bug help?

Note You need to log in before you can comment on or make changes to this bug.